Get single agent configuration
https://{kibana_url}
- GET /api/apm/settings/agent-configuration/view
- GET /s/{space_id}/api/apm/settings/agent-configuration/view
Refer to Spaces for more information.
Retrieve a single agent configuration matching the given service name and environment. You must have read privileges for the APM and User Experience feature in Kibana. If no matching configuration is found, the API returns a 404.
Query Parameters
-
namestring Service name
-
environmentstring Service environment
Responses
Successful response
-
idstringrequired -
@timestampnumberrequired -
Timestamp
-
agent_namestring -
Agent name
-
applied_by_agentboolean -
Applied by agent
-
etagstringrequired -
etagis sent by the APM agent to indicate theetagof the last successfully applied configuration. If theetagmatches an existing configuration itsapplied_by_agentproperty will be set totrue. Every time a configuration is editedapplied_by_agentis reset tofalse. -
servicerequired -
Service
-
environmentstring -
The environment of the service.
-
namestring -
The name of the service.
-
settingsobjectrequired -
Agent configuration settings
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Not found response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code